[android-components](../../../index.md) / [mozilla.components.feature.media.state](../../index.md) / [MediaStateMachine](../index.md) / [Observer](./index.md)

# Observer

`interface Observer` [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/media/src/main/java/mozilla/components/feature/media/state/MediaStateMachine.kt#L95)

Interface for observers that are interested in [MediaState](../../-media-state/index.md) changes.

### Functions

| Name | Summary |
|---|---|
| [onStateChanged](on-state-changed.md) | `abstract fun onStateChanged(state: `[`MediaState`](../../-media-state/index.md)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html)<br>The [MediaState](../../-media-state/index.md) has changed. |
